Index: /trunk/SophyaPI/PI/Makefile
===================================================================
--- /trunk/SophyaPI/PI/Makefile	(revision 139)
+++ /trunk/SophyaPI/PI/Makefile	(revision 140)
@@ -1,3 +1,3 @@
-MODULENAME := PI
+MODULECXXREPNAME := PI
 MODULECXXFLAGS := -msg_quiet
 include ../Mgr/Makefile.h
@@ -17,12 +17,12 @@
 endif 
  
-$(OBJ)lut.o: lut.cc $(EROSDEVREP)/Include/defs.h lut.h
+$(OBJ)lut.o: lut.cc $(INC)defs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- $(EROSDEVREP)/Include/defs.h $(EROSDEVREP)/Include/machine.h \
+ $(INC)defs.h $(INC)machine.h \
  lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraph3d.h pibwdgx.h pigraphps.h \
+ $(INC)defs.h pigraph3d.h pibwdgx.h pigraphps.h \
  pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -34,5 +34,5 @@
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h pisysdep.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
@@ -40,8 +40,8 @@
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pigraphuc.h psfile.h $(EROSDEVREP)/Include/defs.h pidrawer.h \
+ pigraphuc.h psfile.h $(INC)defs.h pidrawer.h \
  pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h \
  pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
@@ -51,5 +51,5 @@
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h pixtbase.h
+ $(INC)defs.h pigraphps.h pixtbase.h
 $(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
 $(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h picmapx.h picmap.h
@@ -57,5 +57,5 @@
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h pimsghandler.h picmapx.h \
  picmapgen.h pisysdep.h
@@ -64,5 +64,5 @@
  picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
  piwdgx.h piwdggen.h pimsghandler.h
@@ -71,11 +71,11 @@
 $(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pigraphuc.h psfile.h $(EROSDEVREP)/Include/defs.h
+ pigraphgen.h pigraphuc.h psfile.h $(INC)defs.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
  pimsghandler.h piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h pistdwdgx.h pistdwdggen.h \
- pidrawer.h
+ $(INC)defs.h pigraphps.h pistdwdgx.h \
+ pistdwdggen.h pidrawer.h
 $(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h pistdwdgx.h \
  pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h \
@@ -84,5 +84,5 @@
  pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h piscdrawwdg.h pidrawer.h \
+ $(INC)defs.h pigraphps.h piscdrawwdg.h pidrawer.h \
  pi3ddrw.h pigraph3d.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
@@ -93,5 +93,5 @@
  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h pifilechox.h \
+ $(INC)defs.h pigraphps.h pifilechox.h \
  pifilechogen.h piwindowx.h piwindowgen.h
 $(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h pigraphuc.h \
@@ -102,18 +102,19 @@
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h psfile.h \
- $(EROSDEVREP)/Include/defs.h
+ $(INC)defs.h
 $(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)pihisto.o: pihisto.cc pihisto.h $(EROSDEVREP)/Include/histos.h \
- $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/defs.h \
- $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
- $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
- $(EROSDEVREP)/Include/cvector.h $(EROSDEVREP)/Include/matrix.h \
- $(EROSDEVREP)/Include/ppersist.h \
- $(EROSDEVREP)/Include/pclassids.h pidrawer.h pibwdggen.h \
+$(OBJ)pihisto.o: pihisto.cc pihisto.h $(INC)histos.h \
+ $(INC)peida.h $(INC)defs.h \
+ $(INC)utils.h $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h pidrawer.h pibwdggen.h \
  pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h
@@ -121,18 +122,21 @@
  piwdgx.h piwdggen.h pimsghandler.h pimenubarx.h pimenubargen.h \
  pioptmenux.h pioptmenugen.h pistdwdgx.h pistdwdggen.h \
- $(EROSDEVREP)/Include/histos2.h $(EROSDEVREP)/Include/peida.h \
- $(EROSDEVREP)/Include/defs.h $(EROSDEVREP)/Include/utils.h \
- $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
- $(EROSDEVREP)/Include/histos.h $(EROSDEVREP)/Include/cvector.h \
- $(EROSDEVREP)/Include/matrix.h $(EROSDEVREP)/Include/ppersist.h \
- $(EROSDEVREP)/Include/pclassids.h piscdrawwdg.h pibwdgx.h \
+ $(INC)histos2.h $(INC)peida.h \
+ $(INC)defs.h $(INC)utils.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h $(INC)histos.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h piscdrawwdg.h pibwdgx.h \
  pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pigraphuc.h psfile.h pigraphps.h piwindowx.h piwindowgen.h \
  picontainerx.h picontainergen.h pidrawer.h \
- $(EROSDEVREP)/Include/nbrandom.h
+ $(INC)nbrandom.h
 $(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- $(EROSDEVREP)/Include/defs.h $(EROSDEVREP)/Include/machine.h \
+ $(INC)defs.h $(INC)machine.h \
  lut.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
@@ -148,11 +152,11 @@
  pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h piimage.h parradapter.h \
- $(EROSDEVREP)/Include/machine.h lut.h pidrawer.h pipixmapx.h \
+ $(INC)defs.h pigraphps.h piimage.h parradapter.h \
+ $(INC)machine.h lut.h pidrawer.h pipixmapx.h \
  pipixmapgen.h picmapview.h
-$(OBJ)piinit.o: piinit.cc $(EROSDEVREP)/Include/defs.h piinit.h \
- $(EROSDEVREP)/Include/strecinit.h \
- $(EROSDEVREP)/Include/imaginit.h \
- $(EROSDEVREP)/Include/peidainit.h
+$(OBJ)piinit.o: piinit.cc $(INC)defs.h piinit.h \
+ $(INC)strecinit.h \
+ $(INC)imaginit.h \
+ $(INC)peidainit.h
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h
@@ -164,5 +168,5 @@
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h piapplx.h \
@@ -170,5 +174,5 @@
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h
@@ -176,21 +180,25 @@
  pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h
-$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h $(EROSDEVREP)/Include/ntuple.h \
- $(EROSDEVREP)/Include/ppersist.h $(EROSDEVREP)/Include/defs.h \
- $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h \
- $(EROSDEVREP)/Include/pclassids.h pi3ddrw.h pisysdep.h pidrawer.h \
+$(OBJ)pintup3d.o: pintup3d.cc pintup3d.h $(INC)ntuple.h \
+ $(INC)ppersist.h $(INC)defs.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)dvlist.h pi3ddrw.h pisysdep.h pidrawer.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h pigraph3d.h \
  pibwdgx.h pigraphps.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h $(EROSDEVREP)/Include/ntuple.h \
- $(EROSDEVREP)/Include/ppersist.h $(EROSDEVREP)/Include/defs.h \
- $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h \
- $(EROSDEVREP)/Include/pclassids.h pidrawer.h pibwdggen.h \
- pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h
+$(OBJ)pintuple.o: pintuple.cc pintuple.h $(INC)ntuple.h \
+ $(INC)ppersist.h $(INC)defs.h \
+ $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)pclassids.h \
+ $(INC)dvlist.h pidrawer.h pibwdggen.h pisysdep.h \
+ piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pigraphuc.h psfile.h
 $(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h pimenux.h \
  pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
@@ -200,118 +208,133 @@
  pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h pimsghandler.h \
- piperiodx.h $(EROSDEVREP)/Include/periodic.h \
- $(EROSDEVREP)/Include/defs.h
+ piperiodx.h $(INC)periodic.h \
+ $(INC)defs.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h
+ $(INC)defs.h pigraphps.h
 $(OBJ)pipodrw.o: pipodrw.cc pipodrw.h pidrawer.h pibwdggen.h pisysdep.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h parradapter.h \
- $(EROSDEVREP)/Include/machine.h lut.h \
- $(EROSDEVREP)/Include/cvector.h $(EROSDEVREP)/Include/matrix.h \
- $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/utils.h \
- $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
- $(EROSDEVREP)/Include/ppersist.h \
- $(EROSDEVREP)/Include/pclassids.h \
- $(EROSDEVREP)/Include/histos2.h $(EROSDEVREP)/Include/histos.h \
- $(EROSDEVREP)/Include/generalfit.h
+ $(INC)defs.h parradapter.h \
+ $(INC)machine.h lut.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h $(INC)peida.h \
+ $(INC)utils.h $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)histos2.h \
+ $(INC)histos.h \
+ $(INC)generalfit.h
 $(OBJ)piscdrawwdg.o: piscdrawwdg.cc piscdrawwdg.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h pistdwdgx.h pistdwdggen.h \
- piwindowx.h piwindowgen.h picontainerx.h picontainergen.h pidrawer.h \
- pidrwtools.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
- piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h \
- parradapter.h $(EROSDEVREP)/Include/machine.h lut.h
+ $(INC)defs.h pigraphps.h pistdwdgx.h \
+ pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h pidrawer.h pidrwtools.h pioptmenux.h pioptmenugen.h \
+ pimenux.h pimenugen.h piapplx.h piapplgen.h pimenubarx.h \
+ pimenubargen.h picons.h parradapter.h \
+ $(INC)machine.h lut.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h piwdgx.h \
  piwdggen.h pimsghandler.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h $(EROSDEVREP)/Include/stlist.h \
- $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/defs.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h \
- $(EROSDEVREP)/Include/perrors.h $(EROSDEVREP)/Include/dynccd.h \
- $(EROSDEVREP)/Include/ppersist.h \
- $(EROSDEVREP)/Include/pclassids.h \
- $(EROSDEVREP)/Include/imaginit.h $(EROSDEVREP)/Include/star.h \
- $(EROSDEVREP)/Include/strecinit.h \
- $(EROSDEVREP)/Include/starmacro.h $(EROSDEVREP)/Include/psf.h \
- $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/utils.h \
- $(EROSDEVREP)/Include/fmath.h $(EROSDEVREP)/Include/cimage.h \
- $(EROSDEVREP)/Include/rzimage.h $(EROSDEVREP)/Include/rzvect.h \
- $(EROSDEVREP)/Include/datatypes.h \
- $(EROSDEVREP)/Include/dvlist.h $(EROSDEVREP)/Include/fct1dfit.h \
- $(EROSDEVREP)/Include/generalfit.h \
- $(EROSDEVREP)/Include/matrix.h $(EROSDEVREP)/Include/cvector.h \
- $(EROSDEVREP)/Include/fct2dfit.h \
- $(EROSDEVREP)/Include/pixelmap.h \
- $(EROSDEVREP)/Include/transfo.h $(EROSDEVREP)/Include/poly.h \
- $(EROSDEVREP)/Include/zfidu.h $(EROSDEVREP)/Include/imgalig.h \
- $(EROSDEVREP)/Include/fitsimage.h \
- $(EROSDEVREP)/Include/fitsheader.h \
- $(EROSDEVREP)/Include/erosio.h $(EROSDEVREP)/Include/fitskeys.h \
- $(EROSDEVREP)/Include/erostape.h \
- $(EROSDEVREP)/Include/strutil.h \
- $(EROSDEVREP)/Include/ptrarray.h \
- $(EROSDEVREP)/Include/voidptrarray.h \
- $(EROSDEVREP)/Include/basearray.h $(EROSDEVREP)/Include/array.h \
- $(EROSDEVREP)/Include/lockfile.h \
- $(EROSDEVREP)/Include/erostarfile.h \
- $(EROSDEVREP)/Include/xstrstream.h \
- $(EROSDEVREP)/Include/dates.h $(EROSDEVREP)/Include/tarlib.h \
+$(OBJ)pistlist.o: pistlist.cc pistlist.h $(INC)stlist.h \
+ $(INC)machine.h $(INC)defs.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)perrors.h \
+ $(INC)dynccd.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)imaginit.h $(INC)star.h \
+ $(INC)strecinit.h \
+ $(INC)starmacro.h $(INC)psf.h \
+ $(INC)peida.h $(INC)utils.h \
+ $(INC)fmath.h $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)datatypes.h \
+ $(INC)dvlist.h \
+ $(INC)fct1dfit.h \
+ $(INC)generalfit.h \
+ $(INC)matrix.h \
+ $(INC)cvector.h \
+ $(INC)fct2dfit.h \
+ $(INC)pixelmap.h \
+ $(INC)transfo.h $(INC)poly.h \
+ $(INC)zfidu.h $(INC)imgalig.h \
+ $(INC)fitsimage.h \
+ $(INC)fitsheader.h \
+ $(INC)erosio.h \
+ $(INC)fitskeys.h \
+ $(INC)erostape.h \
+ $(INC)strutil.h \
+ $(INC)ptrarray.h \
+ $(INC)voidptrarray.h \
+ $(INC)basearray.h \
+ $(INC)array.h \
+ $(INC)lockfile.h \
+ $(INC)erostarfile.h \
+ $(INC)xstrstream.h \
+ $(INC)dates.h $(INC)tarlib.h \
  pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pigraphuc.h \
  psfile.h
 $(OBJ)pistzwin.o: pistzwin.cc \
- /usr/local/lib/gcc-lib/alphaev56-dec-osf4.0d/2.8.1/include/stdio.h \
+ /usr/local/lib/gcc-lib/alpha-dec-osf4.0/2.7.2.1/include/stdio.h \
  pistzwin.h pisysdep.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h piperiodx.h \
- $(EROSDEVREP)/Include/periodic.h $(EROSDEVREP)/Include/defs.h \
+ $(INC)periodic.h $(INC)defs.h \
  psfile.h pigraphgen.h picmap.h picmapx.h picmapgen.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- $(EROSDEVREP)/Include/defs.h $(EROSDEVREP)/Include/machine.h \
+ $(INC)defs.h $(INC)machine.h \
  lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pigraphuc.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
-$(OBJ)piup.o: piup.cc $(EROSDEVREP)/Include/ctimer.h \
- $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/defs.h \
- $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
- $(EROSDEVREP)/Include/perrors.h \
- $(EROSDEVREP)/Include/exceptions.h \
- $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
- $(EROSDEVREP)/Include/imageop.h $(EROSDEVREP)/Include/cimage.h \
- $(EROSDEVREP)/Include/rzimage.h $(EROSDEVREP)/Include/rzvect.h \
- $(EROSDEVREP)/Include/imaginit.h \
- $(EROSDEVREP)/Include/datatypes.h \
- $(EROSDEVREP)/Include/ppersist.h \
- $(EROSDEVREP)/Include/pclassids.h \
- $(EROSDEVREP)/Include/dvlist.h $(EROSDEVREP)/Include/cspline.h \
- $(EROSDEVREP)/Include/cvector.h $(EROSDEVREP)/Include/matrix.h \
- $(EROSDEVREP)/Include/fitsimage.h \
- $(EROSDEVREP)/Include/fitsheader.h \
- $(EROSDEVREP)/Include/erosio.h $(EROSDEVREP)/Include/fitskeys.h \
- $(EROSDEVREP)/Include/erostape.h \
- $(EROSDEVREP)/Include/strutil.h \
- $(EROSDEVREP)/Include/ptrarray.h \
- $(EROSDEVREP)/Include/voidptrarray.h \
- $(EROSDEVREP)/Include/basearray.h $(EROSDEVREP)/Include/array.h \
- $(EROSDEVREP)/Include/lockfile.h \
- $(EROSDEVREP)/Include/erostarfile.h \
- $(EROSDEVREP)/Include/xstrstream.h \
- $(EROSDEVREP)/Include/dates.h $(EROSDEVREP)/Include/tarlib.h \
+$(OBJ)piup.o: piup.cc $(INC)ctimer.h \
+ $(INC)peida.h $(INC)defs.h \
+ $(INC)utils.h $(INC)machine.h \
+ $(INC)perrors.h \
+ $(INC)exceptions.h \
+ $(INC)peidainit.h \
+ $(INC)fmath.h $(INC)imageop.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)imaginit.h \
+ $(INC)datatypes.h \
+ $(INC)ppersist.h \
+ $(INC)pclassids.h \
+ $(INC)dvlist.h \
+ $(INC)cspline.h \
+ $(INC)cvector.h \
+ $(INC)matrix.h \
+ $(INC)fitsimage.h \
+ $(INC)fitsheader.h \
+ $(INC)erosio.h \
+ $(INC)fitskeys.h \
+ $(INC)erostape.h \
+ $(INC)strutil.h \
+ $(INC)ptrarray.h \
+ $(INC)voidptrarray.h \
+ $(INC)basearray.h \
+ $(INC)array.h \
+ $(INC)lockfile.h \
+ $(INC)erostarfile.h \
+ $(INC)xstrstream.h \
+ $(INC)dates.h $(INC)tarlib.h \
  piup.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h picontainergen.h \
- pisysdep.h piwdgx.h psfile.h $(EROSDEVREP)/Include/defs.h \
+ pisysdep.h piwdgx.h psfile.h $(INC)defs.h \
  pigraphgen.h picmap.h picmapx.h picmapgen.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h picontainerx.h \
@@ -319,5 +342,5 @@
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphgen.h picmap.h picmapx.h \
+ $(INC)defs.h pigraphgen.h picmap.h picmapx.h \
  picmapgen.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
@@ -326,6 +349,6 @@
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pigraphuc.h psfile.h \
- $(EROSDEVREP)/Include/defs.h pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h $(EROSDEVREP)/Include/defs.h \
+ $(INC)defs.h pigraphps.h pixtbase.h
+$(OBJ)psfile.o: psfile.cc psfile.h $(INC)defs.h \
  pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h
Index: /trunk/SophyaPI/PI/parradapter.cc
===================================================================
--- /trunk/SophyaPI/PI/parradapter.cc	(revision 139)
+++ /trunk/SophyaPI/PI/parradapter.cc	(revision 140)
@@ -13,5 +13,5 @@
 {
 mSize=sz;
-DefineYCoordinate(0, 1.);
+DefineXCoordinate(0, 1.);
 }
 
@@ -22,5 +22,5 @@
 
 /* --Methode-- */
-void P1DArrayAdapter::DefineYCoordinate(float x0, float dx)
+void P1DArrayAdapter::DefineXCoordinate(float x0, float dx)
 {
 mOx = x0;  mDx = dx;
Index: /trunk/SophyaPI/PI/parradapter.h
===================================================================
--- /trunk/SophyaPI/PI/parradapter.h	(revision 139)
+++ /trunk/SophyaPI/PI/parradapter.h	(revision 140)
@@ -18,5 +18,5 @@
   virtual float   Value(int i) = 0;
   inline  int     Size() { return (mSize) ; }
-  virtual void    DefineYCoordinate(float x0, float dx);
+  virtual void    DefineXCoordinate(float x0, float dx);
   virtual float   X(int i);
      
Index: /trunk/SophyaPI/PI/picontainergen.cc
===================================================================
--- /trunk/SophyaPI/PI/picontainergen.cc	(revision 139)
+++ /trunk/SophyaPI/PI/picontainergen.cc	(revision 140)
@@ -64,7 +64,7 @@
 {
 mNCh = 0;
-mACSup = true;   // Suppression automatique des widgets fils au delete
+mACSup = false;   // Suppression automatique des widgets fils au delete
 mPaSup = false;
-mChilds = new (PIWdgGen * [NCHALGRP]);
+mChilds = new (PIWdg* [NCHALGRP]);
 mMxCh = NCHALGRP;
 }
@@ -113,11 +113,11 @@
 
 /* --Methode-- */
-void PIContainerGen::ChildAdd(PIWdgGen* child)
+void PIContainerGen::ChildAdd(PIWdg* child)
 {
 if (child == NULL)  return;
 if (mNCh == mMxCh)
   {
-  PIWdgGen ** och = mChilds;
-  mChilds = new (PIWdgGen * [mMxCh+NCHALGRP]);
+  PIWdg ** och = mChilds;
+  mChilds = new (PIWdg * [mMxCh+NCHALGRP]);
   for(int i=0; i<mNCh; i++)  mChilds[i] = och[i];
   delete[] och;
@@ -129,5 +129,5 @@
 
 /* --Methode-- */
-void PIContainerGen::ChildDel(PIWdgGen* child)
+void PIContainerGen::ChildDel(PIWdg* child)
 {
 if (mPaSup) return;  // Ne rien faire si delete initie par Container-parent
Index: /trunk/SophyaPI/PI/picontainergen.h
===================================================================
--- /trunk/SophyaPI/PI/picontainergen.h	(revision 139)
+++ /trunk/SophyaPI/PI/picontainergen.h	(revision 140)
@@ -24,6 +24,6 @@
   virtual int          Visible();
 
-  virtual void         ChildAdd(PIWdgGen * child);
-  virtual void         ChildDel(PIWdgGen * child);
+  virtual void         ChildAdd(PIWdg* child);
+  virtual void         ChildDel(PIWdg* child);
   virtual int          NbChilds();
   virtual PIWdg*       GetChild(int n);
@@ -32,5 +32,5 @@
 protected:
   int                  stvis;
-  PIWdgGen          ** mChilds;
+  PIWdg                ** mChilds;
   int                  mNCh, mMxCh;
   bool                 mPaSup,mACSup;
Index: /trunk/SophyaPI/PI/pigraphx.cc
===================================================================
--- /trunk/SophyaPI/PI/pigraphx.cc	(revision 139)
+++ /trunk/SophyaPI/PI/pigraphx.cc	(revision 140)
@@ -17,5 +17,5 @@
 static int SmallFontIndex = 1; 
 static int NormalFontIndex = 3;
-static int BigFontIndex = 5;
+static int BigFontIndex = 6;
 static  PIFontAtt fntatt[3] = { PI_RomanFont, PI_BoldFont, PI_ItalicFont }; 
 #define NMAXCOL  16
@@ -657,5 +657,5 @@
 NormalFontIndex = kksel;
 SmallFontIndex = (kksel > 1) ? kksel-2 : 0 ;
-BigFontIndex = (kksel < NMAXFONTSZ-2) ? kksel+2 : NMAXFONTSZ-1 ;
+BigFontIndex = (kksel < NMAXFONTSZ-3) ? kksel+3 : NMAXFONTSZ-1 ;
 
 //printf("PIGraphicX::Init()-DBG- FontIndex= %d %d %d (%d) \n", 
Index: /trunk/SophyaPI/PI/piinit.cc
===================================================================
--- /trunk/SophyaPI/PI/piinit.cc	(revision 139)
+++ /trunk/SophyaPI/PI/piinit.cc	(revision 140)
@@ -21,2 +21,5 @@
 }
 
+// On met un objet initiator en statique, pour les loaders qui savent 
+// appeler le constructeur des objets statiques   Reza 08/98
+static PeidaInteractiveInitiator  pinteractivexxinit;
Index: /trunk/SophyaPI/PI/pistzwin.cc
===================================================================
--- /trunk/SophyaPI/PI/pistzwin.cc	(revision 139)
+++ /trunk/SophyaPI/PI/pistzwin.cc	(revision 140)
@@ -33,5 +33,5 @@
 
 /* --Methode-- */
-void PIStackWindow::ChildAdd(PIWdgGen* child)
+void PIStackWindow::ChildAdd(PIWdg* child)
 {
 int k;
@@ -44,5 +44,5 @@
 
 /* --Methode-- */
-void PIStackWindow::ChildDel(PIWdgGen* child)
+void PIStackWindow::ChildDel(PIWdg* child)
 {
 int k;
@@ -68,4 +68,10 @@
   GetChild(k)->PSPrint(psf, ofx, ofy);
   }
+}
+
+/* --Methode-- */
+PIWdg* PIStackWindow::CurrentWdg()
+{
+return(GetChild(mCurdisp));
 }
 
@@ -128,5 +134,5 @@
 mZx = nzx;  mZy = nzy;   mZc = 0;
 
-mZWdg = new PIWdgGen*[nzx*nzy];
+mZWdg = new PIWdg*[nzx*nzy];
 for(i=0; i<mZx*mZy; i++) mZWdg[i] = NULL; 
 }
@@ -134,5 +140,5 @@
 
 /* --Methode-- */
-void PIZoneWindow::ChildAdd(PIWdgGen * child)
+void PIZoneWindow::ChildAdd(PIWdg * child)
 {
 if (!child) return;
@@ -156,5 +162,5 @@
 
 /* --Methode-- */
-void PIZoneWindow::ChildDel(PIWdgGen * child)
+void PIZoneWindow::ChildDel(PIWdg * child)
 {
 if (!child)  return;
Index: /trunk/SophyaPI/PI/pistzwin.h
===================================================================
--- /trunk/SophyaPI/PI/pistzwin.h	(revision 139)
+++ /trunk/SophyaPI/PI/pistzwin.h	(revision 140)
@@ -20,9 +20,10 @@
 		~PIStackWindow();
 
-  virtual void  ChildAdd(PIWdgGen* child);
-  virtual void  ChildDel(PIWdgGen* child);
+  virtual void  ChildAdd(PIWdg* child);
+  virtual void  ChildDel(PIWdg* child);
 
   virtual void  PSPrint(PSFile *psf, int ofx=0, int ofy=0);
 
+  virtual PIWdg*  CurrentWdg();
   virtual void  DispNext();
   virtual void  StartAutoDisp(int dt);
@@ -44,6 +45,6 @@
 		~PIZoneWindow();
 
-  virtual void  ChildAdd(PIWdgGen * child);
-  virtual void  ChildDel(PIWdgGen * child);
+  virtual void  ChildAdd(PIWdg* child);
+  virtual void  ChildDel(PIWdg* child);
   virtual void  SetZone(int nzx, int nzy);
   virtual void  NbZone(int& nzx, int& nzy);
@@ -52,5 +53,5 @@
 protected:
   int mZx, mZy, mZc;
-  PIWdgGen** mZWdg;
+  PIWdg** mZWdg;
 };
 #endif
Index: /trunk/SophyaPI/PI/pitestapp.cc
===================================================================
--- /trunk/SophyaPI/PI/pitestapp.cc	(revision 139)
+++ /trunk/SophyaPI/PI/pitestapp.cc	(revision 140)
@@ -247,14 +247,14 @@
     if (!fgpxm)  { wp3->Show();  fgpxm = true; }
     for (int i=0; i<25000; i++)  pixels[i] = rand()%32;
-    if ((x % 3) == 0)  pxm->SetColMap(CMAP_GREY32);
-    if ((x % 3) == 1)  pxm->SetColMap(CMAP_COLRJ32);
-    if ((x % 3) == 2)  pxm->SetColMap(CMAP_COLBR32);
+    if ((x % 3) == 0)  pxm->SetColMapId(CMAP_GREY32);
+    if ((x % 3) == 1)  pxm->SetColMapId(CMAP_COLRJ32);
+    if ((x % 3) == 2)  pxm->SetColMapId(CMAP_COLBR32);
 //    pxm->Refresh();
     if (cur)
       {
 //      printf("Process: Setting ColMap for (%lx) \n", (long)cur);
-      if ((x % 3) == 0)  cur->SetColMap(CMAP_GREY32);
-      if ((x % 3) == 1)  cur->SetColMap(CMAP_COLRJ32);
-      if ((x % 3) == 2)  cur->SetColMap(CMAP_COLBR32);
+      if ((x % 3) == 0)  cur->SetColMapId(CMAP_GREY32);
+      if ((x % 3) == 1)  cur->SetColMapId(CMAP_COLRJ32);
+      if ((x % 3) == 2)  cur->SetColMapId(CMAP_COLBR32);
       }
     }
@@ -344,5 +344,4 @@
         pimg[nimg]->SetBinding(PIBK_fixed,PIBK_fixed,PIBK_fixed,PIBK_fixed );
         pimg[nimg]->SetZoomWin(zoom);
-        pimg[nimg]->SetTextWin(labimg);
         pimg[nimg]->SetImage(new RzImageAdapter(img[nimg], true) );
         pimg[nimg]->Apply();
Index: /trunk/SophyaPI/PI/piwdggen.h
===================================================================
--- /trunk/SophyaPI/PI/piwdggen.h	(revision 139)
+++ /trunk/SophyaPI/PI/piwdggen.h	(revision 140)
@@ -39,5 +39,5 @@
 //  string               kindstr();
 
-  inline PIWdgGen*       Parent() { return( (PIWdgGen*)parent ); }
+  inline PIContainerGen* Parent() { return( parent ); }
 
   inline void         	 SetUserData( void * p, int fg = 0) {pdata=p; flag=fg; }
